import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {ItemGroup} from "../../../../../project/game-model/inventory/ItemGroup";
import {Item} from "../../../../../project/game-model/inventory/Item";
import {MatFormField} from "@angular/material/form-field";
import {MatSelect} from "@angular/material/select";

@Component({
  selector: 'app-item-selector',
  templateUrl: './item-selector.component.html',
  styleUrl: './item-selector.component.scss'
})
export class ItemSelectorComponent implements OnInit{

  @Input() itemgroups: ItemGroup[] = []
  @Input() selectedItem: Item | undefined
  @Output() onSelectedItemChange = new EventEmitter<Item>();

  selectedItemgroup: ItemGroup | undefined

  ngOnInit() {
    if(this.selectedItem != undefined) {
      this.selectedItemgroup = this.itemgroups.find(itemgroup => itemgroup.getInheritedItems().includes(this.selectedItem!));
    }
  }

  onItemChange(item: Item) {
    this.selectedItem = item;
    this.onSelectedItemChange.emit(item);
  }
}
