import {Gamesystem} from "../../gamesystems/Gamesystem";
import {State} from "../../gamesystems/states/State";
import {Condition} from "./Condition";
import {CharacterDependency} from "../CharacterDependency";

export class GamesystemCondition extends Condition {
  targetGamesystem: Gamesystem<any, any> | undefined
  requieredState: State<any> | undefined;


  constructor(characterDependency: CharacterDependency, targetGamesystem: Gamesystem<any, any> | undefined, requieredState: State<any> | undefined) {
    super(characterDependency);
    this.targetGamesystem = targetGamesystem;
    this.requieredState = requieredState;
  }

  validate(): boolean {
    return this.targetGamesystem != undefined && this.requieredState != undefined;
  }
}
