import {ItemGroup} from "./ItemGroup";
import {ItemGroupCharacteristic} from "./ItemgroupCharacteristic";
import {ItemgroupType} from "./ItemgroupType";
import {Item} from "./Item";

export class AbstractItemGroup extends ItemGroup {

  children: ItemGroup[] = [];
  itemgroupType = ItemgroupType.ABSTRACT

  addChildItemgroup(itemGroup: ItemGroup) {
    this.children.push(itemGroup)
    itemGroup.parentGroup = this;
  }

  protected addCharacteristicValue(characteristic: ItemGroupCharacteristic): void {
      //Do Nothing
  }

  getInheritedItems(): Item[] {
    let items: Item[] = [];
    this.children.forEach(child => items = items.concat(child.getInheritedItems()))
    return items;
  }


}
